=== debian/changelog ===
sauerbraten (0.0.20100728.dfsg+repack-3) unstable; urgency=low

  * Team upload.
  * Correct manpage regarding the previous upload: Remove the note that
    running in fullscreen mode was the default.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 17:29:57 +0200

sauerbraten (0.0.20100728.dfsg+repack-2) unstable; urgency=low

  * Team upload.
  * Start in windowed mode by default. This introduces
    windowed_by_default.diff.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 15:56:14 +0200

sauerbraten (0.0.20100728.dfsg+repack-1) unstable; urgency=low

  * Repack .orig.tar.gz
    * Drop an unredistributable file (include/wincompat.h). We don't use it
      anyway
    * Repack with bzip2 compression
  * Update debian/copyright:
    * Update copyright years of sauerbraten and Enet
    * Liste files in enet/m4/ which are copyright by the FSF and some
      autotools file in enet/ and the files in include/ (Closes: #618943)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 21 Jun 2011 16:59:36 +0200

sauerbraten (0.0.20100728.dfsg-5) unstable; urgency=low

  * Fix wrong variable name in debian/rules. It's not CXXOPTFLAGS but CXXFLAGS
  * Update to standards version 3.9.2. No changes.
  * Don't mess with users' PATH environment in sauerbraten.desktop. Instead
    call /usr/games/sauerbraten directly
  * Use debhelper 8 to build the package
    * Build-depend on debhelper (>= 8)
    * Rewrite debian/rules

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 19:03:03 +0200

sauerbraten (0.0.20100728.dfsg-4) unstable; urgency=low

  * Team upload.
  * Link with -lrt on kFreeBSD too.
    Closes: #621811

 -- Evgeni Golov <evgeni@debian.org>  Thu, 12 May 2011 01:03:35 +0200

sauerbraten (0.0.20100728.dfsg-3) unstable; urgency=low

  * Allow building on PowerPC again (Closes: 549470)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 01 Mar 2011 17:38:44 +0100
