=== debian/changelog ===
sauerbraten (0.0.20130203.dfsg-1) unstable; urgency=medium

  * Team upload.
    - Add myself to Uploaders.
  * New upstream release. (Closes: #732988, #699521)
    - Refresh patches.
  * Build using dh-autoreconf.
  * Fix minor grammatical errors in package description. (LP: #858631)
  * Update Standards version to 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 21 Jan 2014 15:59:05 -0800
