=== debian/control ===
Source: sauerbraten
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Bruno "Fuddl" Kleinert <fuddl@debian.org>,
           Vincent Cheng <vcheng@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 8),
               dh-autoreconf,
               libsdl1.2-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               zlib1g-dev,
               imagemagick
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/sauerbraten.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/sauerbraten.git
Homepage: http://sauerbraten.org/

Package: sauerbraten
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sauerbraten-data (>= ${sauerbraten-data-ver})
Recommends: sauerbraten-wake6
Description: 3D first-person game engine
 Sauerbraten is a networked, fast-paced, 3D first-person shooter game. It
 supports modern graphic effects and some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the game client and map editor.

Package: sauerbraten-dbg
Section: contrib/debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, sauerbraten (= ${binary:Version})
Description: Debug symbols for the Sauerbraten game engine
 Sauerbraten is a networked, fast-paced, 3D first-person shooter game. It
 supports modern graphic effects and some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 Sauerbraten might be considered unsuitable for children.
 .
 This package installs the debug symbols for the game client.

Package: sauerbraten-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sauerbraten
Description: Standalone server for the Sauerbraten game
 Sauerbraten is a networked, fast-paced, 3D first-person shooter game. It
 supports modern graphic effects and some nice graphic details.
 .
 The game client also works as the map editor. It is even possible to create 
 and/or edit a map together with other people over a network connection.
 .
 This package installs the standalone server for Sauerbraten.
