=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
@@ -21,8 +21,13 @@
 	$(MAKE) CXXFLAGS="$(CXXFLAGS)"
 
 override_dh_auto_clean:
+	# Because newer arches will FTBFS because of outdated config.* infrastructure,
+	# we need to copy them in for the upstream distclean target.
+	# Ugh, and we need a hack for building the source package, too!
+	dh_autotools-dev_updateconfig
 	$(MAKE) clean
 	rm -f debian/sauerbraten.xpm
+	dh_autotools-dev_restoreconfig
 
 override_dh_auto_install:
 	# This override target must not be removed (even it empty!) to stop dh
