=== debian/control ===
Source: sauerbraten
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>= 9),
 imagemagick
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/sauerbraten.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/sauerbraten.git
Homepage: http://sauerbraten.org/

Package: sauerbraten
Architecture: all
Depends:
 cube2,
 ${misc:Depends}
Replaces:
 sauerbraten-data (<< 0.0.20140302-1)
Breaks:
 sauerbraten-data (<< 0.0.20140302-1)
Conflicts:
 sauerbraten (<< 0.0.20140302-1)
Description: 3D first-person shooter game
 Sauerbraten is a networked 3D first-person shooter game. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 The game client also works as the map editor. It is even possible to create
 and edit a map together with other people over a network connection.
 .
 This package installs maps, textures, sounds and other artwork of Sauerbraten.

Package: sauerbraten-server
Architecture: all
Depends:
 cube2-server,
 ${misc:Depends}
Suggests:
 sauerbraten
Description: standalone server for the Sauerbraten game
 Sauerbraten is a networked 3D first-person shooter game. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 This is a dependency package for cube2-server which installs the standalone
 server for Sauerbraten.
