=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build-indep:
	convert -monitor -resize 32x32 data/cube.png debian/sauerbraten.xpm
